/// <reference types="react" />
interface CommonProps {
    color?: string | string[];
    size?: "small" | "medium" | "large";
    style?: React.CSSProperties;
    text?: string | boolean;
    textColor?: string;
}

interface CircularProgressProps extends CommonProps {
    variant?: "dotted" | "bubble-dotted" | "disc" | "split-disc";
}

declare const CircularProgress: (props: CircularProgressProps) => JSX.Element | null;

interface AtomProps extends CommonProps {
}

declare const Atom: (props: AtomProps) => JSX.Element;

interface CommetProps extends CommonProps {
}

declare const Commet: (props: CommetProps) => JSX.Element;

interface FourSquareProps extends CommonProps {
}

declare const FourSquare: (props: FourSquareProps) => JSX.Element;

interface MosaicProps extends CommonProps {
}

declare const Mosaic: (props: MosaicProps) => JSX.Element;

interface RipleProps extends CommonProps {
}

declare const Riple: (props: RipleProps) => JSX.Element;

interface SeekProps extends CommonProps {
}

declare const Seek: (props: SeekProps) => JSX.Element;

interface GlidingBlinkProps extends CommonProps {
}

declare const GlidingBlink: (props: GlidingBlinkProps) => JSX.Element;

interface TwistProps extends CommonProps {
}

declare const Twist: (props: TwistProps) => JSX.Element;

interface SlabProps extends CommonProps {
}

declare const Slab: (props: SlabProps) => JSX.Element;

interface PulseProps extends CommonProps {
}

declare const Pulse: (props: PulseProps) => JSX.Element;

export { Atom, CircularProgress, Commet, FourSquare, GlidingBlink, Mosaic, Pulse, Riple, Seek, Slab, Twist, CircularProgress as default };
